.modify-urls {
    position: absolute;
    bottom: 1rem;
    left: 1rem;
    font-family: inherit;
    
}

.modify-urls button {
    background-color: transparent;
    border: none;
    cursor: pointer;
} .modify-urls button:hover {
    text-decoration: underline;
}

.modify-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--bk);
    overflow-y: auto;
    padding: 1rem 0 2rem 0;
}

ul, li {
    list-style: none;
    cursor: pointer;
    color: var(--bk);
}

.modify-modal > ul {
    width: 600px;
    margin: 1rem auto 0 auto;
    background-color: var(--wt);
    padding: 0.4rem 0.6rem;
}

.modify-modal li li:nth-child(odd) {
    background-color: rgba(0,0,0,0.06);
}

.modify-modal .ico {
    display: inline-block;
    position: relative;
    top: 0.1rem;
    width: 1rem;
    height: 1rem;
    background-size: 100%;
    background-position: center;
    background-repeat: no-repeat;
    align-content: center;
    margin-left: 0.2rem;
}

.modify-modal .controls {
    float: right;
    margin-right: 1rem;
}

.controls span {
    margin-left: 1rem;
    color: #666;
}

.controls .save {
    color: var(--green);
}

.controls .delete {
    color: var(--red);
}

.modify-modal .fa-arrows-alt {
    font-size: 0.8rem;
}

.url-container,
.new-content {
    overflow: hidden;
    height: 1.4rem;
    transition: 0.3s;
    transition-timing-function: ease-out;
} .url-container.url-opened,
.new-content.url-opened {
    height: 6.2rem;
}

.options {
    position: relative;
} .options::before {
    position: absolute;
    left: 0.4rem;
    top: 0.3rem;
    font-size: 0.7rem;
    opacity: 0.8;
} .options-name::before {
    content: "Name:";
} .options-ico::before {
    content: "Icon:";
} .options-url::before {
    content: "URL:";
}

.options input {
    border: none;
    border-radius: 0;
    user-select: initial;
    font-size: 0.7rem;
    width: calc(100% - 0.4rem);
    font-family: inherit;
    outline: none;
    margin: 0 0.2rem 0.2rem 0.2rem;
} .options input::selection {
    background-color: rgb(7, 172, 136);
    color: white;
}

.options-name input {
    padding-left: 2.3rem;
} .options-ico input {
    padding-left: 1.8rem;
} .options-url input {
    padding-left: 1.8rem;
}

.back-drop {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.2);
}

.modal-urls {
    position: absolute;
    background-color: var(--wt);
    padding: 1rem;
    width: 400px;
	outline: 3px solid var(--bk);
	box-shadow: -10px 8px 0 0 rgba(0,0,0,0.4);
    right: 50%;
    bottom: 50%;
    transform: translate(50%, 50%);
}

.modal-urls.delete {
    border: 4px solid var(--red);
}

.modal-urls.accept {
    border: 4px solid var(--green);
}

.modal-text {
    margin-top: 0;
}

.buttons-url {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 1rem;
}

.button-url {
    padding: 0.4rem;
    width: 100%;
    font-size: 1rem;
    border: 3px solid var(--bk);
    background-color: transparent;
    cursor: pointer;
}

.delete .accept-button-url {
    background-color: var(--red);
}

.accept .accept-button-url {
    background-color: var(--green);
}

.accept-button-url {
    border-width: 0;
    color: var(--wt);
} .accept-button-url:hover {
    background-color: var(--bk);
}

.cancel-button-url:hover {
    background-color: var(--bk);
    color: var(--wt);
}